aboutsummaryrefslogtreecommitdiffstats
path: root/tools
diff options
context:
space:
mode:
authorGiovanni Di Sirio <gdisirio@gmail.com>2018-10-06 10:44:55 +0000
committerGiovanni Di Sirio <gdisirio@gmail.com>2018-10-06 10:44:55 +0000
commit086f9822c0d7b980c9943a9905096cf28bee49a1 (patch)
tree7061aa3b4942d222f9326497c57fb6ecb45c3d72 /tools
parent6db6291bd2b1fb83ecfadeaf32750f1d6f8404b2 (diff)
downloadChibiOS-086f9822c0d7b980c9943a9905096cf28bee49a1.tar.gz
ChibiOS-086f9822c0d7b980c9943a9905096cf28bee49a1.tar.bz2
ChibiOS-086f9822c0d7b980c9943a9905096cf28bee49a1.zip
Renamed for consistency.
git-svn-id: svn://svn.code.sf.net/p/chibios/svn/trunk@12338 110e8d01-0319-4d1e-a829-52ad28d1bb01
Diffstat (limited to 'tools')
-rw-r--r--tools/ftl/processors/conf/mcuconf_stm32l4rxxx/mcuconf.h.ftl (renamed from tools/ftl/processors/conf/mcuconf_stm32l4r5xx/mcuconf.h.ftl)0
-rw-r--r--tools/updater/update_mcuconf_stm32l4rxxx.sh (renamed from tools/updater/update_mcuconf_stm32l4r5xx.sh)12
2 files changed, 6 insertions, 6 deletions
diff --git a/tools/ftl/processors/conf/mcuconf_stm32l4r5xx/mcuconf.h.ftl b/tools/ftl/processors/conf/mcuconf_stm32l4rxxx/mcuconf.h.ftl
index 030f6d623..030f6d623 100644
--- a/tools/ftl/processors/conf/mcuconf_stm32l4r5xx/mcuconf.h.ftl
+++ b/tools/ftl/processors/conf/mcuconf_stm32l4rxxx/mcuconf.h.ftl
diff --git a/tools/updater/update_mcuconf_stm32l4r5xx.sh b/tools/updater/update_mcuconf_stm32l4rxxx.sh
index 6b28c46dd..87122d0dc 100644
--- a/tools/updater/update_mcuconf_stm32l4r5xx.sh
+++ b/tools/updater/update_mcuconf_stm32l4rxxx.sh
@@ -3,18 +3,18 @@ if [ $# -eq 2 ]
then
if [ $1 = "rootpath" ]
then
- find $2 -name "mcuconf.h" -exec bash update_mcuconf_stm32l4r5xx.sh "{}" \;
+ find $2 -name "mcuconf.h" -exec bash update_mcuconf_stm32l4rxxx.sh "{}" \;
else
- echo "Usage: update_mcuconf_stm32l4r5xx.sh [rootpath <root path>]"
+ echo "Usage: update_mcuconf_stm32l4rxxx.sh [rootpath <root path>]"
fi
elif [ $# -eq 1 ]
then
declare conffile=$(<$1)
- if egrep -q "STM32L4R5_MCUCONF" <<< "$conffile"
+ if egrep -q "STM32L4R5_MCUCONF" <<< "$conffile" || egrep -q "STM32L4S5_MCUCONF" <<< "$conffile" || egrep -q "STM32L4R7_MCUCONF" <<< "$conffile" || egrep -q "STM32L4S7_MCUCONF" <<< "$conffile" || egrep -q "STM32L4R9_MCUCONF" <<< "$conffile" || egrep -q "STM32L4S9_MCUCONF" <<< "$conffile"
then
echo Processing: $1
egrep -e "\#define\s+[a-zA-Z0-9_()]*\s+[a-zA-Z0-9_]" <<< "$conffile" | sed -r 's/\#define\s+([a-zA-Z0-9_]*)(\([^)]*\))?\s+/\1=/g' > ./values.txt
- if ! fmpp -q -C conf.fmpp -S ../ftl/processors/conf/mcuconf_stm32l4r5xx
+ if ! fmpp -q -C conf.fmpp -S ../ftl/processors/conf/mcuconf_stm32l4rxxx
then
echo
echo "aborted"
@@ -24,6 +24,6 @@ then
rm ./mcuconf.h ./values.txt
fi
else
- echo "Usage: update_mcuconf_stm32l4r5xx.sh [rootpath <root path>]"
- echo " update_mcuconf_stm32l4r5xx.sh <configuration file>]"
+ echo "Usage: update_mcuconf_stm32l4rxxx.sh [rootpath <root path>]"
+ echo " update_mcuconf_stm32l4rxxx.sh <configuration file>]"
fi